extends Node3D

var lights_energy := true

func _ready():
	update_info_label()

func update_info_label() -> void:
	$InfoLabel.text = "DirectionalLight: %s\nOmniLights: %s\nSpotLights: %s\nEnergy: %s" % [
		"Visible" if $DirectionalLight.visible else "Hidden",
		"Visible" if $OmniLights.visible else "Hidden",
		"Visible" if $SpotLights.visible else "Hidden",
		lights_energy,
	]


func _input(event: InputEvent) -> void:
	if event.is_action_pressed("toggle_directional_light"):
		$DirectionalLight.visible = not $DirectionalLight.visible
		update_info_label()
		
	if event.is_action_pressed("toggle_omni_lights"):
		$OmniLights.visible = not $OmniLights.visible
		update_info_label()
		
	if event.is_action_pressed("toggle_spot_lights"):
		$SpotLights.visible = not $SpotLights.visible
		update_info_label()

	if event.is_action_pressed("toggle_energy"):
		for node in get_children():
			for node2 in node.get_children():
				node2.set("light_energy", not lights_energy)
			node.set("light_energy", not lights_energy)
		
		lights_energy = not lights_energy
		update_info_label()
